<?php
include "../koneksi.php";

$id = $_POST['material_id'];
$rawmat = $_POST['rawmat'];
$nomat = $_POST['nomat'];
$qty = $_POST['qty'];
		if ($rawmat == '') {
			$data['error']['edit_rawmat'] = 'Nama Raw Material tidak boleh kosong';
		}
		if ($nomat == '') {
			$data['error']['edit_nomat'] = 'Nomor Material Tidak Boleh Kosong';
		}
		if ($qty == '') {
			$data['error']['edit_qty'] = 'Quantity Tidak Boleh Kosong';
		}

		if (empty($data['error'])) {
			$query = "UPDATE material SET
											RawMat = '$rawmat',
											NoMat = '$nomat',
											Qty = '$qty'
											WHERE MaterialID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

